#### D.2.12.19 hasGlobalOrdering

Procedure from library `ring.lib` (see ring_lib).

Usage:
  hasGlobalOrdering ( rng );

Return:
  1 if rng has a global monomial ordering, 0 otherwise.

Example:

    LIB "ring.lib";
    ring rng = integer,x,dp;
    hasGlobalOrdering(rng); //yes
    ==> 1
    ring rng2 = 0, x, ds;
    hasGlobalOrdering(rng2);  // no
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.